<?php


namespace TotalPoll\Modules\Extensions\CategoryTag;
! defined( 'ABSPATH' ) && exit();



use TotalPollVendors\TotalCore\Taxonomies\Taxonomy;

class Category extends Taxonomy {

	public function getName() {
		return 'totalpoll_category';
	}

	public function getPostTypes() {
		return [ 'poll' ];
	}

	public function getArguments() {
		$labels = [
			'name'                       => _x( 'Categories', 'Category General Name', 'totalpoll' ),
			'singular_name'              => _x( 'Category', 'Category Singular Name', 'totalpoll' ),
			'menu_name'                  => esc_html__( 'Categories', 'totalpoll' ),
			'all_items'                  => esc_html__( 'All Categories', 'totalpoll' ),
			'parent_item'                => esc_html__( 'Parent Category', 'totalpoll' ),
			'parent_item_colon'          => esc_html__( 'Parent Category:', 'totalpoll' ),
			'new_item_name'              => esc_html__( 'New Category Name', 'totalpoll' ),
			'add_new_item'               => esc_html__( 'Add New Category', 'totalpoll' ),
			'edit_item'                  => esc_html__( 'Edit Category', 'totalpoll' ),
			'update_item'                => esc_html__( 'Update Category', 'totalpoll' ),
			'view_item'                  => esc_html__( 'View Category', 'totalpoll' ),
			'separate_items_with_commas' => esc_html__( 'Separate categories with commas', 'totalpoll' ),
			'add_or_remove_items'        => esc_html__( 'Add or remove items', 'totalpoll' ),
			'choose_from_most_used'      => esc_html__( 'Choose from the most used', 'totalpoll' ),
			'popular_items'              => esc_html__( 'Popular Categories', 'totalpoll' ),
			'search_items'               => esc_html__( 'Search Categories', 'totalpoll' ),
			'not_found'                  => esc_html__( 'Not Found', 'totalpoll' ),
			'no_terms'                   => esc_html__( 'No categories', 'totalpoll' ),
			'items_list'                 => esc_html__( 'Categories list', 'totalpoll' ),
			'items_list_navigation'      => esc_html__( 'Categories list navigation', 'totalpoll' ),
		];

		return [
			'labels'            => $labels,
			'hierarchical'      => true,
			'public'            => true,
			'show_ui'           => true,
			'show_admin_column' => true,
			'show_in_nav_menus' => true,
			'show_in_rest'      => false,
			'rewrite'           => [ 'slug' => 'poll-category', 'with_front' => false ]
		];
	}
}
