<?php

namespace TotalPoll\Modules\Extensions\CategoryTag;
! defined( 'ABSPATH' ) && exit();


use TotalPollVendors\TotalCore\Taxonomies\Taxonomy;

class Tag extends Taxonomy {

	public function getName() {
		return 'totalpoll_tag';
	}

	public function getPostTypes() {
		return [ 'poll' ];
	}

	public function getArguments() {
		$labels = [
			'name'                       => _x( 'Tags', 'Tag General Name', 'totalpoll' ),
			'singular_name'              => _x( 'Tag', 'Tag Singular Name', 'totalpoll' ),
			'menu_name'                  => esc_html__( 'Tags', 'totalpoll' ),
			'all_items'                  => esc_html__( 'All Tags', 'totalpoll' ),
			'parent_item'                => esc_html__( 'Parent Tag', 'totalpoll' ),
			'parent_item_colon'          => esc_html__( 'Parent Tag:', 'totalpoll' ),
			'new_item_name'              => esc_html__( 'New Tag Name', 'totalpoll' ),
			'add_new_item'               => esc_html__( 'Add New Tag', 'totalpoll' ),
			'edit_item'                  => esc_html__( 'Edit Tag', 'totalpoll' ),
			'update_item'                => esc_html__( 'Update Tag', 'totalpoll' ),
			'view_item'                  => esc_html__( 'View Tag', 'totalpoll' ),
			'separate_items_with_commas' => esc_html__( 'Separate tags with commas', 'totalpoll' ),
			'add_or_remove_items'        => esc_html__( 'Add or remove tags', 'totalpoll' ),
			'choose_from_most_used'      => esc_html__( 'Choose from the most used', 'totalpoll' ),
			'popular_items'              => esc_html__( 'Popular Tags', 'totalpoll' ),
			'search_items'               => esc_html__( 'Search Tags', 'totalpoll' ),
			'not_found'                  => esc_html__( 'Not Found', 'totalpoll' ),
			'no_terms'                   => esc_html__( 'No tags', 'totalpoll' ),
			'items_list'                 => esc_html__( 'Tags list', 'totalpoll' ),
			'items_list_navigation'      => esc_html__( 'Tags list navigation', 'totalpoll' ),
		];

		return array(
			'labels'            => $labels,
			'hierarchical'      => false,
			'public'            => true,
			'show_ui'           => true,
			'show_admin_column' => true,
			'show_in_nav_menus' => true,
			'show_in_rest'      => false,
			'rewrite'           => array( 'slug' => 'poll-tag', 'with_front' => false )
		);
	}
}
