<?php

namespace TotalPoll\Modules\Extensions\ChartsCustomizer;
! defined( 'ABSPATH' ) && exit();


/**
 * Class Extension
 * @package TotalPoll\Modules\Extensions\ChartsCustomizer
 */
class Extension extends \TotalPoll\Modules\Extension {
	protected $root = __FILE__;

	/**
	 * Run the extension.
	 *
	 * @return mixed
	 */
	public function run() {
		add_action( 'totalpoll/actions/before/admin/editor/choices/toolbar/votes', [ $this, 'field' ] );
		add_action( 'totalpoll/actions/after/admin/questions/content', [ $this, 'question' ] );
	}

	public function question() {
		?>
        <br>
        <div class="totalpoll-input-group">
            <label for="{{$ctrl.prefix('chartType')}}">
				<?php esc_html_e( 'Chart Type', 'totalpoll' ); ?>
            </label>
            <select name="{{$ctrl.prefix('chartType')}}"
                    id="{{$ctrl.prefix('chartType')}}"
                    ng-model="$ctrl.item.chartType">
                <option value="pie">Pie</option>
                <option value="bar">Bar</option>
                <option value="doughnut">Doughnut</option>
            </select>
        </div>
		<?php
	}

	public function field() {
		?>
        <label for="{{$ctrl.prefix('color')}}" style="padding-right: 10px">
            <input
                    type="color"
                    id="{{$ctrl.prefix('color')}}"
                    name="{{$ctrl.prefix('color')}}"
                    ng-model="$ctrl.item.color">
        </label>
		<?php
	}
}
