<?php

namespace TotalPoll\Modules\Extensions\EmailCapture\Services;
! defined( 'ABSPATH' ) && exit();


use TotalPoll\Entry\Model as EntryModel;
use TotalPoll\Modules\Extensions\EmailCapture\Contract\EmailService;
use TotalPoll\Modules\Extensions\EmailCapture\Extension;
use TotalPoll\Poll\Model as PollModel;

abstract class AbstractService implements EmailService {
	/**
	 * @var Extension
	 */
	protected $extension;

	/**
	 * AbstractService constructor.
	 *
	 * @param Extension $extension
	 */
	public function __construct( Extension $extension ) {
		$this->extension = $extension;
	}

	/**
	 * @param EntryModel $entry
	 * @param PollModel $poll
	 *
	 * @return mixed
	 */
	abstract function handle( EntryModel $entry, PollModel $poll );

	/**
	 * @param Extension $extension
	 */
	static function renderSettings( Extension $extension ) {
	}
}