<?php

namespace TotalPoll\Modules\Extensions\QuizLike;
! defined( 'ABSPATH' ) && exit();


/**
 * Class Extension
 * @package TotalPoll\Modules\Extensions\QuizLike
 */
class Extension extends \TotalPoll\Modules\Extension {
	protected $root = __FILE__;

	/**
	 * Run the extension.
	 *
	 * @return mixed
	 */
	public function run() {
		add_action( 'totalpoll/actions/before/admin/editor/choices/toolbar/votes', [ $this, 'field' ] );
		//add_action( 'totalpoll/actions/after/admin/editor/choices/type/image', [ $this, 'field' ] );
		//add_action( 'totalpoll/actions/after/admin/editor/choices/type/video', [ $this, 'field' ] );
		//add_action( 'totalpoll/actions/after/admin/editor/choices/type/audio', [ $this, 'field' ] );
		//add_action( 'totalpoll/actions/after/admin/editor/choices/type/html', [ $this, 'field' ] );
		add_filter( 'totalpoll/filters/render/vars', [ $this, 'addIcon' ], 10, 2 );
	}

	public function field() {
		?>
        <label for="{{$ctrl.prefix('correct')}}" style="padding-right: 10px">
            <input
                    type="checkbox"
                    id="{{$ctrl.prefix('correct')}}"
                    name="{{$ctrl.prefix('correct')}}"
                    ng-model="$ctrl.item.correct">

			<?php esc_html_e( 'Correct', 'totalpoll' ); ?>
        </label>
		<?php
	}

	public function addIcon( $vars, $poll ) {
		if ( $poll->isResultsScreen() ):
			add_filter( 'totalpoll/filters/template/content/choice', [ $this, 'checkmark' ], 10, 2 );
		endif;

		return $vars;
	}

	public function checkmark( $label, $choice ) {
		if ( ! empty( $choice['correct'] ) ):
			$label = "<span style='color: seagreen'><span style='margin-right: 10px'>✅</span>{$label}</span>";
        elseif ( empty( $choice['correct'] ) && ! empty( $choice['receivedVotes'] ) ):
	        $label = "<span style='color: red'><span style='margin-right: 10px'>❌</span>{$label}</span>";
		endif;

		return $label;
	}
}
