<?php ! defined( 'ABSPATH' ) && exit(); ?><div class="totalpoll-settings-item">
    <div class="totalpoll-settings-field">
        <label> <input type="checkbox" name="" ng-model="$ctrl.options.vote_confirmation.enabled">
			<?php esc_html_e( 'Enable vote confirmation', 'totalpoll' ); ?>
        </label>
    </div>
    <div class="totalpoll-settings-item-advanced" ng-class="{active: $ctrl.options.vote_confirmation.enabled}">
        <div class="totalpoll-settings-field">
            <label> <input type="checkbox" name="" ng-model="$ctrl.options.vote_confirmation.unique">
				<?php esc_html_e( 'Allow only one vote per email', 'totalpoll' ); ?>
            </label>

            <p class="totalpoll-feature-tip" ng-non-bindable><?php esc_html_e( 'This will prevent email duplication.', 'totalpoll' ); ?></p>
        </div>
        <hr>
        <h4><?php esc_html_e( 'Field', 'totalpoll' ) ?></h4>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Field label' ) ?></label>
            <input type="text"
                   name=""
                   class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.vote_confirmation.fieldLabel"/>
        </div>
        <hr>
        <h4><?php esc_html_e( 'Email', 'totalpoll' ) ?></h4>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Subject' ) ?></label>
            <input type="text"
                   name=""
                   class="totalpoll-settings-field-input widefat"
                   placeholder="<?php echo esc_html( $this->getDefaultMessage( 'subject' ) ) ?>"
                   ng-model="$ctrl.options.vote_confirmation.subject"/>
        </div>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Body' ) ?></label>
            <textarea type="text"
                      name=""
                      row="5"
                      class="totalpoll-settings-field-input widefat"
                      placeholder="<?php echo esc_html( $this->getDefaultMessage( 'body' ) ) ?>"
                      ng-model="$ctrl.options.vote_confirmation.body"></textarea>
        </div>
        <p class="totalpoll-feature-tip" ng-non-bindable><?php esc_html_e( 'Poll title: {{title}}', 'totalpoll' ); ?></p>
        <p class="totalpoll-feature-tip"
           ng-non-bindable><?php esc_html_e( 'User name (if available): {{user}}', 'totalpoll' ); ?></p>
        <p class="totalpoll-feature-tip" ng-non-bindable><?php esc_html_e( 'User choices: {{choices}}', 'totalpoll' ); ?></p>
        <hr>
        <h4><?php esc_html_e( 'Messages', 'totalpoll' ); ?></h4>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'After vote' ) ?></label>
            <input type="text"
                   name=""
                   placeholder="<?php echo esc_html( $this->getDefaultMessage( 'message' ) ) ?>"
                   class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.vote_confirmation.message"/>
        </div>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'After confirmation' ) ?></label>
            <input type="text"
                   name=""
                   placeholder="<?php echo esc_html( $this->getDefaultMessage( 'confirmation' ) ) ?>"
                   class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.vote_confirmation.confirmation"/>
        </div>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Vote already confirmed' ) ?></label>
            <input type="text"
                   name=""
                   placeholder="<?php echo esc_html( $this->getDefaultMessage( 'already_confirmed' ) ) ?>"
                   class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.vote_confirmation.already_confirmed"/>
        </div>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Vote cannot be confirmed' ) ?></label>
            <input type="text"
                   name=""
                   placeholder="<?php echo esc_html( $this->getDefaultMessage( 'cannot_confirm' ) ) ?>"
                   class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.vote_confirmation.cannot_confirm"/>
        </div>
        <div class="totalpoll-settings-field">
            <label class="totalpoll-settings-field-label"><?php esc_html_e( 'Vote confirmation button' ) ?></label>
            <input type="text"
                   name=""
                   placeholder="<?php echo esc_html( $this->getDefaultMessage( 'confirmation_button' ) ) ?>"
                   class="totalpoll-settings-field-input widefat"
                   ng-model="$ctrl.options.vote_confirmation.confirmation_button"/>
            <br>
        </div>
    </div>

    <div class="totalpoll-settings-field">
		<?php if ( ! empty( $resent ) ): ?>
            <div class="notice notice-success"><?php _e( 'Confirmations were resent.', 'totalpoll' ); ?></div>
		<?php endif; ?>
        <a href="<?php echo esc_attr( add_query_arg( 'resubmit-confirmations', 1 ) ); ?>" type="submit" class="button">
			<?php _e( 'Resubmit pending/failed confirmations', 'totalpoll' ); ?>
        </a>
    </div>
</div>
