<?php
! defined( 'ABSPATH' ) && exit();

/*
 * Plugin Name: TotalPoll – Pro
 * Plugin URI: https://www.persianscript.ir
 * Description: Yet another powerful poll plugin for WordPress.
 * Version: 4.8.4
 * Author: persianscript.ir
 * Author URI: https://www.persianscript.ir
 * Text Domain: totalpoll
 * Domain Path: languages
 * Requires at least: 4.8
 * Requires PHP: 5.6
 * Tested up to: 6.0.0
 *
 * @package TotalPoll
 * @category Core
 * @author TotalSuite
 * @version 4.8.4
 */


if ( defined( 'TOTALPOLL_ROOT' ) ) {
	function _totalpoll_pro_lite_check() {
		$installedPlugins = get_plugins();

		if ( array_key_exists( 'totalpoll-lite/plugin.php', $installedPlugins ) &&
		     array_key_exists( 'totalpoll/plugin.php', $installedPlugins ) ) {
			deactivate_plugins( 'totalpoll-lite/plugin.php', true );
			activate_plugin( 'totalpoll/plugin.php', true );
		}
	}

	add_action( 'shutdown', '_totalpoll_pro_lite_check' );

	return;
}


// Root plugin file name
define( 'TOTALPOLL_ROOT', __FILE__ );

// TotalPoll environment
$environment = require dirname( __FILE__ ) . '/env.php';

// Include plugin setup
require_once dirname( __FILE__ ) . '/setup.php';

// Setup
new TotalPollSetup( $environment );

// Oh yeah, we're up and running!
